using System;
using System.Collections.Generic;
using System.Linq;
using MySystem.MainModels;

namespace MySystem
{
    public class MachineApplyDbconn
    {
        public readonly static MachineApplyDbconn Instance = new MachineApplyDbconn();
        
        #region 获取单个字段
        public MachineApply Get(int Id)
        {
            WebCMSEntities db = new WebCMSEntities();
            MachineApply apply = db.MachineApply.FirstOrDefault(m => m.Id == Id);
            if (apply != null)
            {
            }
            return apply;
        }
        #endregion


        #region 获取列表
        public List<int> GetList(int UserId, int pageNum = 1, int pageSize = 10)
        {
            // string key = "MachineApplyList:" + UserId;
            // List<int> list = new List<int>();
            // if (RedisDbconn.Instance.Exists(key))
            // {
            //     list = RedisDbconn.Instance.GetList<int>(key, pageNum, pageSize);
            //     if (list.Count > 0)
            //     {
            //         return list;
            //     }
            // }
            List<int> newlist = new List<int>();
            WebCMSEntities db = new WebCMSEntities();
            var mysqllist = db.MachineApply.Select(m => new { m.Id, m.UserId }).Where(m => m.UserId == UserId).OrderByDescending(m => m.Id).ToList();
            if (mysqllist.Count > 0)
            {
                // RedisDbconn.Instance.Clear(key);
                foreach (var sub in mysqllist)
                {
                    newlist.Add(sub.Id);
                    // RedisDbconn.Instance.AddRightList(key, sub.Id);
                }
                // RedisDbconn.Instance.SetExpire(key, Library.function.get_Random(1800, 5400));
            }
            db.Dispose();
            return newlist;
        }
        #endregion
    }
}
